org.apache.cxf.common.spi

## Class ClassGeneratorClassLoader

- java.lang.Object
- - org.apache.cxf.common.spi.ClassGeneratorClassLoader

- Direct Known Subclasses:
    NamespaceClassGenerator

      public class ClassGeneratorClassLoader
      extends Object

  Class loader used to store and retrieve class generated during runtime to avoid class generation each time. inherited class use asmHelper to generate bytes and use @see #loadClass(String, Class<?>, byte[]) or @see #loadClass(String, ClassLoader, byte[]) to store generated class.Class can be generated during buildtime. equivalent class is @see org.apache.cxf.common.spi.GeneratedClassClassLoader
  Author:
    olivier dufour

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClassGeneratorClassLoader.TypeHelperClassLoader`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Bus` | `bus`
    `protected static Map<Class<?>,WeakReference<ClassGeneratorClassLoader.TypeHelperClassLoader>>` | `CLASS_MAP`
    `protected static Map<ClassLoader,WeakReference<ClassGeneratorClassLoader.TypeHelperClassLoader>>` | `LOADER_MAP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassGeneratorClassLoader(Bus bus)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Class<?>` | `findClass(String className, Class<?> cls)`
    `protected Class<?>` | `findClass(String className, ClassLoader classLoader)`
    `protected Class<?>` | `loadClass(String className, Class<?> cls, byte[] bytes)`
    `protected Class<?>` | `loadClass(String className, ClassLoader l, byte[] bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASS_MAP

          protected static final Map<Class<?>,WeakReference<ClassGeneratorClassLoader.TypeHelperClassLoader>> CLASS_MAP

    - #### LOADER_MAP

          protected static final Map<ClassLoader,WeakReference<ClassGeneratorClassLoader.TypeHelperClassLoader>> LOADER_MAP

    - #### bus

          protected final Bus bus

  - ### Constructor Detail

    - #### ClassGeneratorClassLoader

          public ClassGeneratorClassLoader(Bus bus)

  - ### Method Detail

    - #### loadClass

          protected Class<?> loadClass(String className,
                                       Class<?> cls,
                                       byte[] bytes)

    - #### loadClass

          protected Class<?> loadClass(String className,
                                       ClassLoader l,
                                       byte[] bytes)

    - #### findClass

          protected Class<?> findClass(String className,
                                       Class<?> cls)

    - #### findClass

          protected Class<?> findClass(String className,
                                       ClassLoader classLoader)

Apache CXF